package com.tomtom.navui.api;

import com.tomtom.navui.api.IApiServiceCallback;
import com.tomtom.navui.api.ApiMessage;

//
// NOTE: This is part of the interface between the SDKClient and NavApp
// DO NOT change as this will break application binary compatibility
//
interface IApiSession {
    void addCallback(in IApiServiceCallback callback);
    void close();
    void request(in ApiMessage message);

    // Methods below added in 14.6
    int getApiLevel();
    // For internal requests
    void internalRequest(in int request, in ApiMessage data);
}
